Hi Chris,

Christopher Baines <m...@cbaines.net> skribis:

> ERROR: In procedure getaddrinfo:
> In procedure getaddrinfo: Servname not supported for ai_socktype
> downloading file `gnu/packages/bootstrap/aarch64-linux/guile-2.0.14.tar.xz'
> from 
> `http://alpha.gnu.org/gnu/guix/bootstrap/aarch64-linux/20170217/guile-2.0.14.tar.xz'...
>
> Some deprecated features have been used.  Set the environment
> variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
> program to get more information.  Set it to "no" to suppress
> this message.
> make[2]: *** [Makefile:5332: 
> gnu/packages/bootstrap/aarch64-linux/guile-2.0.14.tar.xz] Error 1
> make[2]: *** Waiting for unfinished jobs....

The pre-core-updates Guix needed the Guile bootstrap tarballs in its
build tree.

However, commit 59127916556d75554de52910ccd1565e17b7b127 removed those
tarballs from the inputs of the ‘guix’ package because they are no
longer needed (see 4f024ef3181c5235ff11789e8c8f62722f974787).

The solution for you is to reinstate those inputs when you’re building
older ‘guix’ packages.

HTH!

Ludo’.

Reply via email to